org.apache.jorphan.gui.ui

## Class TextAreaUIWithUndo

- java.lang.Object
- - org.apache.jorphan.gui.ui.TextAreaUIWithUndo

    @API(since="5.3",
         status=EXPERIMENTAL)
    public class TextAreaUIWithUndo
    extends Object

Installs undo for all `TextArea` Swing components.

### Field Summary

Fields
`static String` `BACKUP_UI_CLASS`
`static String` `UI_CLASS`

### Constructor Summary

Constructors
Constructor and Description
`TextAreaUIWithUndo()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ComponentUI` `createUI(JComponent component)` Creates a UI for a JTextField.
`static void` `install(UIDefaults defaults)` Configures `UIDefaults` to use the patched class for `TextFieldUI`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### UI_CLASS

    public static final String UI_CLASS

See Also:
  Constant Field Values

#### BACKUP_UI_CLASS

    public static final String BACKUP_UI_CLASS

See Also:
  Constant Field Values

### Constructor Detail

#### TextAreaUIWithUndo

    public TextAreaUIWithUndo()

### Method Detail

#### install

    public static void install(UIDefaults defaults)

Configures `UIDefaults` to use the patched class for `TextFieldUI`.

Parameters:
  `defaults` - look and feel defaults

#### createUI

    public static ComponentUI createUI(JComponent component)

Creates a UI for a JTextField.

Note: this method is called by Swing.

Parameters:
  `component` - the text field
Returns:
  the UI